<?php
require('mysql_table.php');

class PDF extends PDF_MySQL_Table
{
function Header()
{
    // Title
    $this->SetFont('Arial','',18);
    $this->Cell(0,6,'Fuel Buddy Report',0,1,'C');
    $this->Ln(10);
    // Ensure table header is printed
    parent::Header();
}
}

// Connect to database
$link = mysqli_connect('localhost','root','','TEST_FUELBUDDY');

$pdf = new PDF();
$pdf->AddPage();
// First table: output all columns
$pdf->Table($link,'select * from SERVICE_TABLE where USER_ID="945"');
$pdf->AddPage();
// Second table: specify 3 columns
$pdf->AddCol('USER_ID',20,'','C');
$pdf->AddCol('VEHID',40,'VEHID');
$pdf->AddCol('SERVICE_NAME',40,'SERVICE_NAME');


// email stuff (change data below)
$to = "shivajichavan007@gmail.com"; 
$from = "shivajichavan007@gmail.com"; 
$subject = "Your vehical records from fuelbuddy"; 
$message = "<p>Please see the attachment for records.</p>";

// a random hash will be necessary to send mixed content
$separator = md5(time());

// carriage return type (we use a PHP end of line constant)
$eol = PHP_EOL;

// attachment name
$filename = "test.pdf";

// encode data (puts attachment in proper format)
$pdfdoc = $pdf->Output("", "S");
$attachment = chunk_split(base64_encode($pdfdoc));

// main header
$headers  = "From: ".$from.$eol;
$headers .= "MIME-Version: 1.0".$eol; 
$headers .= "Content-Type: multipart/mixed; boundary=\"".$separator."\"";

// no more headers after this, we start the body! //

$body = "--".$separator.$eol;
$body .= "Content-Transfer-Encoding: 7bit".$eol.$eol;
$body .= "This is a MIME encoded message.".$eol;

// message
$body .= "--".$separator.$eol;
$body .= "Content-Type: text/html; charset=\"iso-8859-1\"".$eol;
$body .= "Content-Transfer-Encoding: 8bit".$eol.$eol;
$body .= $message.$eol;

// attachment
$body .= "--".$separator.$eol;
$body .= "Content-Type: application/octet-stream; name=\"".$filename."\"".$eol; 
$body .= "Content-Transfer-Encoding: base64".$eol;
$body .= "Content-Disposition: attachment".$eol.$eol;
$body .= $attachment.$eol;
$body .= "--".$separator."--";

// send message
mail($to, $subject, $body, $headers);

?>
<?
/*
$dir='/Users/shivaji/Documents/';
$filename= "filename.pdf";
$pdf ->Output($dir.$filename,'F');
//$pdf->Output();
//$pdf->Output('example2.pdf','D'); */
?>
